<template>
  <div class="houseInfo">
    <House v-if="houseid != null && agentId != null" :houseId="houseid" :agentId="agentId"/>
  </div>
</template>

<script>
// @ is an alias to /src
import House from '@/components/House.vue';
export default {
  name: 'HouseInfo',
  components: {
    House
  },
  data() {
    return {
        houseid: null,
        agentId: null
    }
  },
  mounted() {
    // Sets houseid and agentid based on parameters sent from route
    this.houseid = this.$route.params.houseid;
    this.agentId = this.$route.params.agentid;
  }
}
</script>